[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'dbugmsg' (#fcl)

# TDebugMessage

Structure describing a message

## Declaration

Source position: dbugmsg.pp line 34

`type TDebugMessage = record`
`MsgType: Integer;` |  | Constant, identifying the type of message
`MsgTimeStamp: TDateTime;` |  | Time when the message was generated
`Msg: string;` |  | String containing the message text.
`end;`

## Description

TDebugMessage is a record that describes the message passed from the client to the server. It should not be passed directly in shared memory, as the string containing the message is allocated on the heap. Instead, the WriteDebugMessageToStream and ReadDebugMessageFromStream can be used to read or write the message from/to a stream.

## See also

ReadDebugMessageFromStream |  | Read a message from stream
WriteDebugMessageToStream |  | Write a message to stream